[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: wxGTK2 -> wxGTK rename without Provides



Kevin Kofler píše v Čt 18. 12. 2008 v 11:52 +0100:
> Dan Horák wrote:
> > I have checked all packages that link with the "base" wxGTK library and
> > no other package is affected, they all use wxGTK-devel.
> 
> I think we should have some guideline that such versioned Provides should be
> kept indefinitely and packages should use them where available. You'll have
> to readd them when there will be a wxGTK 3 anyway!
> 

wxGTK = wxWidgets (formerly known as wxWindows) build with GTK as the
GUI toolkit

Yea, but the "2" was related to GTK 2.x vs. GTK 1.x, so to extend that
logic, "3" would mean wxWidgets built against GTK 3.x. It was not
related to wxGTK-1.x and wxGTK-2.x

> For example, in KDE SIG we're telling folks to keep using qt4-devel and
> kdelibs4-devel and we have no plans to drop those virtual Provides.

The wxWidgets API should be stable over all GUI toolkits used (GTK,
Cocoa, X, MSWin, ...). And there were probably some
differences/incompatibilities between wxWidgets build against GTK 1 and
wxWidgets built against GTK 2, that lead the audacity developers to
require the GTK 2 version.


		Dan



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]